## deepin-unioncode 1.3.16

=== assets/CMakeLists.txt ===
# install templates.
install(DIRECTORY templates/
    DESTINATION "${SOURCES_INSTALL_RPEFIX}/templates")
install(DIRECTORY models/
    DESTINATION "${SOURCES_INSTALL_RPEFIX}/models")

find_package(Qt5 COMPONENTS LinguistTools)

# install translation.
if (CMAKE_BUILD_TYPE STREQUAL "Release")
    file(GLOB TS_FILES "translations/*.ts")
    foreach(TS_FILE IN LISTS TS_FILES)
        message(STATUS "process ts file: ${TS_FILE}")
        find_program(LUPDATE_COMMAND NAMES lupdate lupdate-qt5 lupdate-qt4 lupdate-pro)
        if (NOT LUPDATE_COMMAND)
            message(FATAL_ERROR "lupdate command not found")
        endif()
        execute_process(COMMAND ${LUPDATE_COMMAND} "${CMAKE_SOURCE_DIR}/src/" -ts -no-obsolete
            "${TS_FILE}"
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            OUTPUT_VARIABLE OUTPUT
            ERROR_VARIABLE ERROR
            RESULT_VARIABLE RES)
        if (RES)
            message(FATAL_ERROR "process ts file result : ${RES}, with error: ${ERROR}")
        endif()
        message(STATUS "${OUTPUT}")
        execute_process(COMMAND lrelease ${TS_FILE})
    endforeach()
endif()

file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION "${SOURCES_INSTALL_RPEFIX}/translations")

# install tools
set(TOOL_INSTALL_PATH "/usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/${CMAKE_PROJECT_NAME}/tools/env")
message("tool install path: ${TOOL_INSTALL_PATH}")
file(GLOB TOOL_FILES "${CMAKE_SOURCE_DIR}/assets/tools/*.tar.gz")
message(STATUS "TOOL_FILES ${TOOL_FILES}")
install(FILES ${TOOL_FILES} DESTINATION ${TOOL_INSTALL_PATH})

# install configure files.
file(GLOB SUPPORTFILES "${CMAKE_CURRENT_SOURCE_DIR}/configures/*.support")
file(GLOB DESKTOPFILES "${CMAKE_CURRENT_SOURCE_DIR}/configures/*.desktop")
file(GLOB ICON "${CMAKE_CURRENT_SOURCE_DIR}/configures/*.svg")

install(FILES ${SUPPORTFILES} DESTINATION "${SOURCES_INSTALL_RPEFIX}/configures")
install(FILES ${DESKTOPFILES} DESTINATION "/usr/share/applications")
install(FILES ${ICON} DESTINATION "${SOURCES_INSTALL_RPEFIX}/configures/icons")

=== src/base/CMakeLists.txt ===
project(duc-base)

FILE(GLOB_RECURSE PROJECT_SOURCES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
)

add_library(
    ${PROJECT_NAME}
    STATIC
    ${PROJECT_SOURCES}
)

find_package(Dtk COMPONENTS Widget Core Gui REQUIRED)

target_link_libraries(
    ${PROJECT_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} DESTINATION ${LIBRARY_INSTALL_PREFIX})
#recursion install head file
install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION
    ${INCLUDE_INSTALL_RPEFIX}
    FILES_MATCHING PATTERN "*.h"
    )

# config pkgconfig file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}.pc.in ${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}Config.cmake.in ${PROJECT_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})

=== src/common/CMakeLists.txt ===
project(duc-common)

include(${CMAKE_SOURCE_DIR}/3rdparty/unioncode-jsonrpccpp.cmake)

install(FILES ${CMAKE_SOURCE_DIR}/src/common/resource/icons/ide.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)

configure_file(util/config.h.in config.h)
find_package(Qt5Network)

set(CMAKE_CXX_STANDARD 17)

add_definitions(
    -DCOMMON_LIBRARY
    )

FILE(GLOB COMMON_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
    )

add_library(
    ${PROJECT_NAME}
    SHARED
    ${COMMON_FILES}
    resource/common.qrc
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

find_package(Qt5 COMPONENTS Concurrent REQUIRED)

target_link_libraries(
    ${PROJECT_NAME}
    unioncode-jsonrpcclient
    Qt5::Network
    Qt5::Concurrent
    ${DtkWidget_LIBRARIES}
    )

install(TARGETS ${PROJECT_NAME} DESTINATION ${LIBRARY_INSTALL_PREFIX})
#recursion install head file
install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION
    ${INCLUDE_INSTALL_RPEFIX}
    FILES_MATCHING PATTERN "*.h"
    )

# config pkgconfig file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}.pc.in ${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}Config.cmake.in ${PROJECT_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})

=== src/framework/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(duc-framework)

add_definitions(
    -DDPF_LIBRARY
    )

#set Module subdir
#   The module pattern cannot be broken, 
#   so the installation header file cannot be found
set(lifecycle ${CMAKE_CURRENT_SOURCE_DIR}/lifecycle)
set(listener ${CMAKE_CURRENT_SOURCE_DIR}/listener)
set(service ${CMAKE_CURRENT_SOURCE_DIR}/service)
set(event ${CMAKE_CURRENT_SOURCE_DIR}/event)
set(log ${CMAKE_CURRENT_SOURCE_DIR}/log)
set(listener ${CMAKE_CURRENT_SOURCE_DIR}/listener)

set(LOBAL_H
    framework_global.h
    )

set(PRIVATE_H
    lifecycle/private/pluginmanager_p.h
    lifecycle/private/pluginmetaobject_p.h
    event/private/event_p.h
    )

set(PRIVATE_CPP
    lifecycle/private/pluginmanager_p.cpp
    )

set(PUBLIC_H
    event/event.h
    event/eventcallproxy.h
    event/eventhandler.h
    log/frameworklog.h
    log/codetimecheck.h
    log/logutils.h
    service/qtclassmanager.h
    service/qtclassfactory.h
    service/pluginservicecontext.h
    service/pluginservice.h
    lifecycle/pluginsetting.h
    lifecycle/pluginmetaobject.h
    lifecycle/plugin.h
    lifecycle/pluginmanager.h
    lifecycle/lifecycle.h
    lifecycle/plugindepend.h
    listener/private/listener_p.h
    listener/listener.h
    backtrace/backtrace.h
    framework.h
    )

set(PUBLIC_CPP
    event/event.cpp
    event/eventcallproxy.cpp
    event/eventhandler.cpp
    log/frameworklog.cpp
    log/codetimecheck.cpp
    log/logutils.cpp
    lifecycle/pluginsetting.cpp
    lifecycle/pluginmetaobject.cpp
    lifecycle/plugin.cpp
    lifecycle/pluginmanager.cpp
    lifecycle/lifecycle.cpp
    service/pluginservicecontext.cpp
    listener/listener.cpp
    backtrace/backtrace.cpp
    framework.cpp
    )

add_library(${PROJECT_NAME} SHARED
    ${LOBAL_H}
    ${PRIVATE_H}
    ${PRIVATE_CPP}
    ${PUBLIC_H}
    ${PUBLIC_CPP}
    )

find_package(Dtk COMPONENTS Widget Core Gui REQUIRED)

target_link_libraries(
    ${PROJECT_NAME}
    stdc++fs
    ${QtUseModules}
    ${PkgUseModules}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

#install library file
install(TARGETS
    ${PROJECT_NAME}
    DESTINATION
    ${LIBRARY_INSTALL_PREFIX}
    )

#recursion install head file
install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION
    ${INCLUDE_INSTALL_RPEFIX}
    FILES_MATCHING PATTERN "*.h"
    )

# config pkgconfig file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}.pc.in ${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}Config.cmake.in ${PROJECT_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})

=== src/scripts/CMakeLists.txt ===
file(GLOB SHELLFILES "${CMAKE_CURRENT_SOURCE_DIR}/*.sh")

install(
    FILES ${SHELLFILES}
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
    GROUP_EXECUTE GROUP_READ WORLD_READ WORLD_EXECUTE
    DESTINATION "${LIBRARY_INSTALL_PREFIX}/scripts"
    )

install(DIRECTORY porting-script/
    DESTINATION "${LIBRARY_INSTALL_PREFIX}/scripts/porting-script")

install(DIRECTORY action-analysis/
    DESTINATION "${LIBRARY_INSTALL_PREFIX}/scripts/action-analysis")

install(DIRECTORY symbol-parser/
    DESTINATION "${LIBRARY_INSTALL_PREFIX}/scripts/symbol-parser")

install(DIRECTORY prettyprinters/
    DESTINATION "${LIBRARY_INSTALL_PREFIX}/scripts/prettyprinters")

install(DIRECTORY rag/
    DESTINATION "${LIBRARY_INSTALL_PREFIX}/scripts/rag")

=== src/services/CMakeLists.txt ===
project(duc-services)

set(CPPDAP_DIR ${CMAKE_SOURCE_DIR}/3rdparty/cppdap)
include_directories(${CPPDAP_DIR}/include)

add_definitions(
    -DSERVICES_LIBRARY
    )

FILE(GLOB SERVICES_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/window/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/window/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/debugger/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/debugger/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/project/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/project/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/option/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/option/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/builder/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/builder/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/language/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/language/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/editor/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/editor/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/terminal/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/locator/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    )

add_library(
    ${PROJECT_NAME}
    SHARED
    ${SERVICES_FILES}
    )

link_libraries(
    ${PROJECT_NAME}
    duc-base
    cppdap
    ${QtUseModules}
    ${PkgUserModules}
    )

target_link_libraries(${PROJECT_NAME}
    cppdap
    ${QtUseModules}
    ${PkgUserModules}
    )

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${LIBRARY_INSTALL_PREFIX})
#recursion install head file
install(DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION
    ${INCLUDE_INSTALL_RPEFIX}
    FILES_MATCHING PATTERN "*.h"
    )

# config pkgconfig file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}.pc.in ${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${CMAKE_SOURCE_DIR}/assets/dev/${PROJECT_NAME}/${PROJECT_NAME}Config.cmake.in ${PROJECT_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})

=== src/plugins/builder/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(buildercore)

set(CXX_CPP
    tasks/taskmodel.cpp
    tasks/taskmanager.cpp
    tasks/taskdelegate.cpp
    tasks/taskview.cpp
    tasks/taskfilterproxymodel.cpp
    transceiver/builderreceiver.cpp
    transceiver/buildersender.cpp
    mainframe/buildmanager.cpp
    mainframe/compileoutputpane.cpp
    mainframe/problemoutputpane.cpp
    mainframe/commonparser.cpp
    buildercore.cpp
    buildercore.json
    )

set(CXX_H
    tasks/taskmodel.h
    tasks/taskmanager.h
    tasks/taskdelegate.h
    tasks/taskview.h
    tasks/taskfilterproxymodel.h
    transceiver/builderreceiver.h
    transceiver/buildersender.h
    mainframe/buildmanager.h
    mainframe/compileoutputpane.h
    mainframe/problemoutputpane.h
    mainframe/commonparser.h
    buildercore.h
    )

add_library(${PROJECT_NAME}
    SHARED
    ${CXX_H}
    ${CXX_CPP}
    builder.qrc
    )

target_link_libraries(${PROJECT_NAME}
    duc-framework
    duc-base
    duc-services
    duc-common
    ${QtUseModules}
    ${PkgUserModules}
    )

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${PLUGIN_INSTALL_PATH})

=== src/plugins/codeeditor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(codeeditor)

include(${CMAKE_SOURCE_DIR}/3rdparty/unioncode-qscintilla214.cmake)
set(CMAKE_INCLUDE_CURRENT_DIR true)

add_definitions(-DLIBRARY_INSTALL_PREFIX="${LIBRARY_INSTALL_PREFIX}")

find_package(PkgConfig REQUIRED)
pkg_check_modules(CMARK REQUIRED libcmark)

FILE(GLOB_RECURSE PROJECT_SOURCES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

set (QRC_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/codeeditor.qrc"
)

add_library(${PROJECT_NAME}
    SHARED
    ${PROJECT_SOURCES}
    ${QRC_FILES}
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
        ${CMARK_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME}
    duc-framework
    duc-base
    duc-services
    duc-common
    ${QtUseModules}
    ${PkgUserModules}
    ${DtkWidget_LIBRARIES}
    ${CMARK_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${PLUGIN_INSTALL_PATH})

=== src/plugins/codegeex/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(codegeex)

find_package(KF5SyntaxHighlighting)

FILE(GLOB CODEGEEX_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

FILE(GLOB 3RD_DIFF_FILES
    "${CMAKE_SOURCE_DIR}/3rdparty/diff-match-patch/*.h"
    "${CMAKE_SOURCE_DIR}/3rdparty/diff-match-patch/*.cpp"
)

add_library(${PROJECT_NAME}
    SHARED
    ${CODEGEEX_FILES}
    ${3RD_DIFF_FILES}
    codegeex.qrc
)


target_link_libraries(${PROJECT_NAME}
    duc-framework
    duc-base
    duc-services
    duc-common
    ${QtUseModules}
    ${PkgUserModules}
    ${DtkWidget_LIBRARIES}
    KF5::SyntaxHighlighting
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
        "${CMAKE_SOURCE_DIR}/3rdparty/diff-match-patch"
)

install_logo(${PROJECT_NAME}.svg)
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${PLUGIN_INSTALL_PATH})

=== src/plugins/console/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(console)

include(${CMAKE_SOURCE_DIR}/3rdparty/unioncode-qtermwidget-0.14.1.cmake)

set(CMAKE_INCLUDE_CURRENT_DIR true)

set(CXX_CPP
    consolewidget.cpp
    consolemanager.cpp
    console.cpp
    console.json
    )

set(CXX_H
    consolewidget.h
    consolemanager.h
    console.h
    )

add_library(${PROJECT_NAME}
    SHARED
    ${CXX_CPP}
    ${CXX_H}
    )

target_link_libraries(${PROJECT_NAME}
    duc-framework
    duc-base
    duc-services
    ${QtUseModules}
    ${PkgUserModules}
    )

install_logo(${PROJECT_NAME}.svg)
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${PLUGIN_INSTALL_PATH})

=== src/plugins/core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(core)

if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "loongarch64")
    add_definitions(-DLOONGARCH64)
endif()

FILE(GLOB_RECURSE PROJECT_SOURCES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
)

add_library(${PROJECT_NAME}
    SHARED
    ${PROJECT_SOURCES}
    ${QT_THEME}
    core.qrc
)

target_link_libraries(${PROJECT_NAME}
    duc-framework
    duc-base
    duc-services
    ${QtUseModules}
    ${PkgUserModules}
    ${DtkWidget_LIBRARIES}
    )

if(NOT ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "loongarch64")
    # loogarch not support web engine now, maybe remove this condition later.
    find_package(Qt5 COMPONENTS WebEngineWidgets REQUIRED)
    target_link_libraries(${PROJECT_NAME} Qt5::WebEngineWidgets)
else()
    message(STATUS "Skipping Qt5::WebEngineWidgets for loongarch64 platform.")
endif()

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${PLUGIN_INSTALL_PATH})

=== src/plugins/cxx/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(cxx)

find_package(Qt5 COMPONENTS Xml REQUIRED)
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/cmake/project/")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/cmake/project/properties")


FILE(GLOB CXX_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*/*/*.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/*/*/*/*/*.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/*.json"
    )

set(CXX_QRC
    cmake/project/cmake.qrc
    ninja/project/ninja.qrc
    )

set(QT_THEME)

add_library(${PROJECT_NAME}
    SHARED
    ${CXX_FILES}
    ${QT_THEME}
    ${CXX_QRC}
)

target_link_libraries(${PROJECT_NAME}
    duc-framework
    duc-base
    duc-services
    duc-common
    Qt5::Xml
    ${QtUseModules}
    ${PkgUserModules}
    )

install_logo(${PROJECT_NAME}.svg)
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${PLUGIN_INSTALL_PATH})

=== debian/changelog ===
deepin-unioncode (1.3.16) unstable; urgency=medium

  * Optimize AI plugin

 -- luzhen <luzhen@uniontech.com>  Fri, 01 Nov 2024 16:41:17 +0800

deepin-unioncode (1.3.15) unstable; urgency=medium

  * CodeGeex bug fix

 -- luzhen <luzhen@uniontech.com>  Tue, 29 Oct 2024 10:41:16 +0800

deepin-unioncode (1.3.12) stable; urgency=medium

  * Support intelligent questioning of project files and local warehouse codes
  * Add inline chat function to support code editing and quick questions and answers
  * Debugging supports running to line
  * Support manual configuration of local tool chain 

 -- luzhen <luzhen@uniontech.com>  Tue, 15 Oct 2024 16:33:53 +0800

deepin-unioncode (1.3.11) unstable; urgency=medium

  * Add RAG

 -- luzhen <luzhen@uniontech.com>  Wed, 09 Oct 2024 14:33:04 +0800

deepin-unioncode (1.3.10) stable; urgency=medium

  * bug fix

 -- luzhen <luzhen@uniontech.com>  Wed, 14 Aug 2024 13:20:10 +0800

=== debian/control ===
Source: deepin-unioncode
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 cmake,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev[!loong64],
 lxqt-build-tools (>= 0.6.0~),
 libssl-dev,
 llvm (>=1:7~),
 llvm-dev (>=1:7~),
 libclang-dev (>=1:7~),
 libutf8proc-dev,
 libmicrohttpd-dev,
 libjsoncpp-dev,
 libargtable2-dev,
 libhiredis-dev,
 catch,
 libzstd-dev,
 libjson-c-dev,
 libelf-dev,
 libcapstone-dev,
 libunwind-dev, 
 libelfin-dev,
 libdbus-1-dev,
 libxi-dev,
 qtscript5-dev,
 libqt5scripttools5,
 clang[!mips64],
 doxygen,
 libdtkgui-dev,
 libdtkwidget-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 libkf5syntaxhighlighting-dev,
 libyaml-cpp-dev,
 libcmark-dev
Standards-version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-unioncode
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: cmake,
            make,
            gdb,
            g++,
            gcc,
            git,
            clangd-13|clangd,
            python3-pip
Description: IDE 'Deepin Union Code'
 Lightweight cross-platform integrated development environment

Package: libdeepin-unioncode-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},deepin-unioncode
Description: IDE 'Union Code' devel library
 IDE 'Union Code' development can be carried out through this library
